__gnu_cxx::__pool_base(3cxx)

NAME
__gnu_cxx::__pool_base - Base class for pool object.

SYNOPSIS

#include <mt_allocator.h>

Inherited by __gnu_cxx::__pool< false >, and __gnu_cxx::__pool< true >.

  Public Types

typedef unsigned short int _Binmap_type

  Public Member Functions

__pool_base (const _Tune &__options)
bool _M_check_threshold (size_t __bytes)
size_t _M_get_align ()
size_t _M_get_binmap (size_t __bytes)
const _Tune & _M_get_options () const
void _M_set_options (_Tune __t)

  Protected Attributes

_Binmap_type * _M_binmap
bool _M_init
_Tune _M_options

Detailed Description

Base class for pool object.

Definition at line 51 of file mt_allocator.h.

Member Typedef Documentation

  typedef unsigned short int __gnu_cxx::__pool_base::_Binmap_type

Definition at line 55 of file mt_allocator.h.

Constructor & Destructor Documentation

  __gnu_cxx::__pool_base::__pool_base () [inline], [explicit]

Definition at line 160 of file mt_allocator.h.

  __gnu_cxx::__pool_base::__pool_base (const _Tune & __options) [inline], [explicit]

Definition at line 164 of file mt_allocator.h.

Member Function Documentation

  bool __gnu_cxx::__pool_base::_M_check_threshold (size_t __bytes) [inline]

Definition at line 148 of file mt_allocator.h.

  size_t __gnu_cxx::__pool_base::_M_get_align () [inline]

Definition at line 156 of file mt_allocator.h.

  size_t __gnu_cxx::__pool_base::_M_get_binmap (size_t __bytes) [inline]

Definition at line 152 of file mt_allocator.h.

  const _Tune & __gnu_cxx::__pool_base::_M_get_options () const [inline]

Definition at line 137 of file mt_allocator.h.

  void __gnu_cxx::__pool_base::_M_set_options (_Tune __t) [inline]

Definition at line 141 of file mt_allocator.h.

Member Data Documentation

  _Binmap_type* __gnu_cxx::__pool_base::_M_binmap [protected]

Definition at line 178 of file mt_allocator.h.

  bool __gnu_cxx::__pool_base::_M_init [protected]

Definition at line 183 of file mt_allocator.h.

  _Tune __gnu_cxx::__pool_base::_M_options [protected]

Definition at line 176 of file mt_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.